
QGIS Application - Bug report #18355

QGIS 3 crash when clicking in searchbox

2018-03-06 04:38 PM - Klaus Agerskov

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26245

Description

Hi when I click in the searchbox, bottom left side of the screen in QGIS 3 the program crash, here are the rapport:

User Feedback

Report Details

Crash ID: 4be16ade202bd3d4247e3fdc8c770ce153c95e0b

Stack Trace

QgsLocator::fetchResults :

QgsLocatorWidget::updateResults :

QgsLocatorWidget::performSearch :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

2024-03-13 1/2



History

#1 - 2018-03-07 11:49 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from Yes to No

- Status changed from Open to Feedback

for what it matters it does not happen here (testing on Win10, will also test on Linux).

#2 - 2018-03-08 12:45 AM - Nyall Dawson

Have you got any plugins installed? Try launching without plugins

#3 - 2018-03-12 11:05 AM - Daníel Örn Árnason

Nyall Dawson wrote:

Have you got any plugins installed? Try launching without plugins

I experienced the same problem on win7. I disabled the plugins I had installed and launched QGIS again. Now the searchbox works without problems.

#4 - 2018-03-22 07:28 AM - Nyall Dawson

- Status changed from Feedback to Closed

Likely due to a badly behaved plugin
